Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000371Core InformIndexingpublic2010-10-29 21:112011-01-10 11:15
ReporterRetroblique 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSWindowsOS Version7
Product Version6F95 
Target VersionFixed in Version6G60 
Summary0000371: Regions drawn incorrectly in World Index
DescriptionThe World tab of the Index panel no longer draws the regions correctly:

1) The World Index no longer shows color-coded regions; everything is colored gray.

2) The World Index no longer lists rooms by region.

3) The World Index incorrectly displays locations with an "inside/outside from" connection (some rooms, usually the starting location, disappear completely).
Minimal Source Text To Reproduce
Kitchen and Living Room are in a region called Indoors.

Backyard and Driveway are in a region called Outdoors.

Kitchen is east of Living Room and inside from Backyard. Driveway is east of Backyard.
Additional InformationAfter compiling the source text and opening the World Index tab, you can see that the Kitchen location is either missing from the map or is being drawn behind the Backyard location. (The Backyard box shows "inside from" and "outside from" connections when it only has an "outside from" connection.)

In the list of individual rooms Kitchen has the abbreviation for Backyard associated with it.

The bug appears to be cosmetic only and doesn't effect connections or region-specific conditions within the game.

Regions are drawn normally in 6E72.
TagsNo tags attached.
Effect(cosmetic) Index is created incorrectly
Attached Files

- Relationships
has duplicate 0000406closedjmcgrew World index doesn't seem to handle inside from properly 
has duplicate 0000413closed World map in Index is mangled when including a room with no exits and nonstandard directions 

-  Notes
(0000766)
Retroblique (reporter)
2010-10-31 20:59

You can confirm that rooms are still being correctly assigned to regions by adding this to the source text:

When play begins:
  say "There are [number of rooms in Indoors] rooms ([the list of rooms in Indoors]) in the Indoors region.";
  say "There are [number of rooms in Outdoors] rooms ([the list of rooms in Outdoors]) in the Outdoors region.";

6F95 just has problems drawing them properly on the index tab.
(0000831)
graham (administrator)
2010-11-19 13:36

This was a bug accidentally introduced in 6F95 during routine maintenance, so to speak, of the map-making code. It's now fixed, and the new map-maker is generally better.

- Issue History
Date Modified Username Field Change
2010-10-29 21:11 Retroblique New Issue
2010-10-29 21:27 Retroblique Issue Monitored: Retroblique
2010-10-29 21:27 Retroblique Issue End Monitor: Retroblique
2010-10-30 21:35 jmcgrew Status new => acknowledged
2010-10-31 20:59 Retroblique Note Added: 0000766
2010-11-01 17:28 EmacsUser Status acknowledged => confirmed
2010-11-12 15:38 jmcgrew Relationship added has duplicate 0000406
2010-11-16 10:44 EmacsUser Relationship added has duplicate 0000413
2010-11-19 13:36 graham Note Added: 0000831
2010-11-19 13:36 graham Status confirmed => resolved
2010-11-19 13:36 graham Resolution open => fixed
2010-11-19 13:36 graham Assigned To => graham
2010-12-23 17:37 jmcgrew Fixed in Version => 6G60
2011-01-10 11:15 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker